import request from '@/utils/request'

// 查询查获物品明细列表
export function listItems(query) {
  return request({
    url: '/item/items/list',
    method: 'get',
    params: query
  })
}

// 查询查获物品明细详细
export function getItems(id) {
  return request({
    url: '/item/items/' + id,
    method: 'get'
  })
}

// 新增查获物品明细
export function addItems(data) {
  return request({
    url: '/item/items',
    method: 'post',
    data: data
  })
}

// 修改查获物品明细
export function updateItems(data) {
  return request({
    url: '/item/items',
    method: 'put',
    data: data
  })
}

// 删除查获物品明细
export function delItems(id) {
  return request({
    url: '/item/items/' + id,
    method: 'delete'
  })
}
